### fullbackup.sh
#! /bin/sh
#delete all files that are older than two months
find /var/backup/zope/full -mtime +70 -exec rm -f {} \;

#plone 2.0
PYTHON="/usr/local/bin/python2.3"
ZOPE_HOME="/opt/Zope-2.7"
INSTANCE_HOME="/usr/local/plone2.0"
CONFIG_FILE="/usr/local/plone2.0/etc/zope.conf"
SOFTWARE_HOME="/opt/Zope-2.7/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHON PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

#plone2.1 unused
PYTHON="/usr/local/bin/python2.3"
ZOPE_HOME="/usr/local/zope-2.8"
INSTANCE_HOME="/usr/local/plone2.1"
CONFIG_FILE="/usr/local/plone2.1/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.8/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHONPATH INSTANCE_HOME PROJ_LIB SOFTWARE_HOME ZOPE_HOME

#$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

#ecomundus
PYTHON="/usr/local/bin/python2.3"
ZOPE_HOME="/usr/local/zope-2.8"
INSTANCE_HOME="/usr/local/plone-2.1.2"
CONFIG_FILE="/usr/local/plone-2.1.2/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.8/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

# migration plone 2.0 - 2.1
PYTHON="/usr/local/bin/python2.3"
ZOPE_HOME="/usr/local/zope-2.8"
INSTANCE_HOME="/usr/local/zopeinstances/migration"
CONFIG_FILE="/usr/local/zopeinstances/migration/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.8/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

#$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs


#iwlearn
PYTHON="/usr/local/bin/python2.4"
ZOPE_HOME="/usr/local/zope-2.9"
INSTANCE_HOME="/usr/local/zopeinstances/plone-2.5"
CONFIG_FILE="/usr/local/zopeinstances/plone-2.5/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.9/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

#iwlearn replica
PROJ_LIB="/usr/local/share/proj"
PYTHON="/usr/local/bin/python2.4"
ZOPE_HOME="/usr/local/zope-2.9"
INSTANCE_HOME="/usr/local/zopeinstances/replica"
CONFIG_FILE="/usr/local/zopeinstances/replica/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.9/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME PROJ_LIB ZOPE_HOME

#$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

#GIS
export LD_LIBRARY_PATH=/usr/local/zopeinstances/primagis/lib
PYTHON="/usr/local/zopeinstances/primagis/bin/python2.4"
ZOPE_HOME="/usr/local/zopeinstances/primagis/zope/Zope-2.9.6-final"
INSTANCE_HOME="/usr/local/zopeinstances/primagis/zope/Zope-2.9.6-final/instances/buildout"
CONFIG_FILE="/usr/local/zopeinstances/primagis/zope/Zope-2.9.6-final/instances/buildout/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zopeinstances/primagis/zope/Zope-2.9.6-final/lib/python"
PYTHONPATH="$SOFTWARE_HOME:$PYTHONPATH"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

#issuetracker
PYTHON="/usr/local/bin/python2.4"
ZOPE_HOME="/usr/local/zope-2.9"
INSTANCE_HOME="/usr/local/zopeinstances/issuetracker"
CONFIG_FILE="/usr/local/zopeinstances/issuetracker/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.9/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

#ecomundus replica
PYTHON="/usr/local/bin/python2.3"
ZOPE_HOME="/usr/local/zope-2.8"
INSTANCE_HOME="/usr/local/zopeinstances/ecomundus"
CONFIG_FILE="/usr/local/zopeinstances/ecomundus/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.8/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

#$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

#iwsea
PYTHON="/usr/local/bin/python2.3"
ZOPE_HOME="/usr/local/zope-2.8"
INSTANCE_HOME="/usr/local/zopeinstances/iwsea"
CONFIG_FILE="/usr/local/zopeinstances/iwsea/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.8/lib/python"
PYTHONPATH="$SOFTWARE_HOME"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

#$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

#pemsea
PYTHON="/usr/local/bin/python2.4"
ZOPE_HOME="/usr/local/zope-2.9"
INSTANCE_HOME="/usr/local/zopeinstances/pemsea"
CONFIG_FILE="/usr/local/zopeinstances/pemsea/etc/zope.conf"
SOFTWARE_HOME="/usr/local/zope-2.9/lib/python"
PYTHONPATH="$SOFTWARE_HOME:$PYTHONPATH"
export PYTHONPATH INSTANCE_HOME SOFTWARE_HOME ZOPE_HOME

$PYTHON $ZOPE_HOME/bin/repozo.py -BFzQ -r $INSTANCE_HOME/backup -f $INSTANCE_HOME/var/Data.fs

